package com.ozs.base.domain;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 供应商管理
 *
 * @author sunhh
 */
@Data
public class BaseSupplier {
    private Integer id;
    // 供应商名称
    @NotBlank(message = "供应商名称不能为空")
    private String supplierName;
    // 供应商负责人
    private String supplierResponsiblePerson;
    // 供应商地址
    private String supplierAddress;
    // 供应商类型
    private String supplierType;
    // 状态 黑白名单
    private String supplierState;
    // 预先采购
    private String supplierAdvancePurchase;
}
