package com.ozs.base.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ozs.base.domain.BaseProfessional;
import com.ozs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class BaseProfessionalVo extends BaseProfessional {
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 品目名称
     */
    @Excel(name = "品目名称")
    @ApiModelProperty(value = "品目名称")
    private String professionalName;

    /**
     * 编码
     */
    @Excel(name = "编码")
    @ApiModelProperty(value = "编码")
    private String professionalCode;

    /**
     * 说明
     */
    @Excel(name = "说明")
    @ApiModelProperty(value = "说明")
    private String purchaseState;

    /**
     * 一级分类
     */
    @Excel(name = "一级分类")
    @ApiModelProperty(value = "一级分类")
    private String professionalGrade;

    /**
     * 父级编码
     */
    @Excel(name = "父级编码")
    @ApiModelProperty(value = "父级编码")
    private String parentCode;

    private List<BaseProfessionalVo> baseProfessionalVoList;
    private List<Integer> deleteIds;
}
