package com.ozs.base.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.constant.ModularConstans;
import com.ozs.common.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@ApiModel(value = "BaseNoticePageReqVo", description = ModularConstans.notice+ "分页查询实体")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseNoticePageReqVo extends PageVo {

    @ApiModelProperty("公告标题")
    private String title;

    // 开始时间
    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    // 结束时间
    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date entTime;

}
