package com.ozs.base.vo;

import com.ozs.base.domain.BaseNotice;
import com.ozs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 公告管理对象 base_notice
 *
 * @author ruoyi
 * @date 2023-01-14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("公告管理对象vo")
public class BaseNoticeVo extends BaseNotice
{

    /** 项目名称 */
    @Excel(name = "公告类型名称")
    @ApiModelProperty("公告类型名称")
    private String typeName;



}
