package com.ozs.home.domain.vo;


import com.ozs.common.core.domain.BaseEntity;
import com.ozs.common.vo.PageVo;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 首页通知消息
 * @author Administrator
 */
@Data

public class HomeNotificationMessageVo extends PageVo {
    

    /** 首页分类（0需求单位首页1采购管理部门首页2采购部首页） */
    private String homepageClassification;

    /** 公消息分类(0预警消息1.发函催告2.预期告警) */
    private String messageClassification;
}
