package com.ozs.pm.doman.vo.requestVo;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 采购需求对象 pm_demand
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("采购需求对象")
public class PmBookBuildingReqVo
{
    /** 主键 */
    @ApiModelProperty("主键")
    private Long demandId;

    /** 采购需求装备类对象 */
    @ApiModelProperty("采购需求装备类对象")
    private PmDemandEquipReqVo pmDemandEquipReqVo;

    /** 采购需求物资类对象 */
    @ApiModelProperty("采购需求物资类对象")
    private PmDemandMaterialsReqVo pmDemandMaterialsReqVo;

    /** 采购需求服务类对象 */
    @ApiModelProperty("采购需求服务类对象")
    private PmDemandServeReqVo pmDemandServeReqVo;

    /** 采购需求工程类对象 */
    @ApiModelProperty("采购需求工程类对象")
    private PmDemandEngineeringReqVo pmDemandEngineeringReqVo;

    /**
     * 更改者
     */
    @ApiModelProperty("更改者")
    private String updateBy;
}
