package com.ozs.pm.service;

import com.ozs.pm.doman.PmDemandEquip;

import java.util.List;

/**
 * 采购需求装备类Service接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
public interface IPmDemandEquipService 
{
    /**
     * 查询采购需求装备类
     * 
     * @param demandEquipId 采购需求装备类主键
     * @return 采购需求装备类
     */
    public PmDemandEquip selectPmDemandEquipByDemandEquipId(Long demandEquipId);

    /**
     * 查询采购需求装备类列表
     * 
     * @param pmDemandEquip 采购需求装备类
     * @return 采购需求装备类集合
     */
    public List<PmDemandEquip> selectPmDemandEquipList(PmDemandEquip pmDemandEquip);

    /**
     * 新增采购需求装备类
     * 
     * @param pmDemandEquip 采购需求装备类
     * @return 结果
     */
    public int insertPmDemandEquip(PmDemandEquip pmDemandEquip);

    /**
     * 修改采购需求装备类
     * 
     * @param pmDemandEquip 采购需求装备类
     * @return 结果
     */
    public int updatePmDemandEquip(PmDemandEquip pmDemandEquip);

}
