package com.ozs.pm.service;

import com.ozs.pm.doman.PmDemandServe;

import java.util.List;


/**
 * 采购需求服务类Service接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
public interface IPmDemandServeService 
{
    /**
     * 查询采购需求服务类
     * 
     * @param demandServeId 采购需求服务类主键
     * @return 采购需求服务类
     */
    public PmDemandServe selectPmDemandServeByDemandServeId(Long demandServeId);

    /**
     * 查询采购需求服务类列表
     * 
     * @param pmDemandServe 采购需求服务类
     * @return 采购需求服务类集合
     */
    public List<PmDemandServe> selectPmDemandServeList(PmDemandServe pmDemandServe);

    /**
     * 新增采购需求服务类
     * 
     * @param pmDemandServe 采购需求服务类
     * @return 结果
     */
    public int insertPmDemandServe(PmDemandServe pmDemandServe);

    /**
     * 修改采购需求服务类
     * 
     * @param pmDemandServe 采购需求服务类
     * @return 结果
     */
    public int updatePmDemandServe(PmDemandServe pmDemandServe);


}
