package com.ozs.system.domain.vo.requestVo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.vo.PageVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Administrator
 */
@Data
public class SysOperLogRequestVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer businessType;
    // 开始时间
    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    // 结束时间
    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date entTime;
    private Integer status;
}
