package com.ozs.common.config;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author ruoyi
 */
@Component
@ConfigurationProperties(prefix = "elasticsearch")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ElasticsearchConfig
{
    /** es host */
    private String host;

    /** es port */
    private String port;



}
