package com.ozs.common.enums;

/**
 * 项目审核状态
 *
 * @author buzhanyi
 */
public enum PmProjectStatus {
    DEMAND_WAIT_FILL("4", "需求待填制"),
    DEMAND_WAIT_COMMIT("5", "需求待提交"),
    DEMAND_WAIT_AUDIT("6", "需求待审核"),
    DEMAND_AUDIT_RETURN("7", "需求已退回"),
    TASK_WAIT_RELEASE("8", "任务待下达"),
    BID_INFO_WAIT_FILL("9", "中标信息待填制"),
    CONTRACT_WAIT_FILL("10", "合同待填制"),
    UNDER_CONSTRUCTION("11", "项目建设中"),
    COMPLETION_CONSTRUCTION("12", "项目已完成");

    private final String code;
    private final String info;

    PmProjectStatus(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
