package com.ozs.plan.doman.vo.requestVo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.constant.ModularConstans;
import com.ozs.common.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@ApiModel(value = "MonthlyReconciliationPageReqVo", description = ModularConstans.monthly+ "分页查询实体")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MonthlyReconciliationPageReqVo extends PageVo {

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("采购服务站")
    private String purchaseServices;

    @ApiModelProperty("项目状态")
    private Integer projectStatus;

    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date entTime;

}
