package com.ozs.plan.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.common.core.domain.model.LoginUser;
import com.ozs.plan.doman.PlanYears;
import com.ozs.plan.doman.ProvisionalPlan;
import com.ozs.plan.doman.vo.requestVo.ProvisionalPlanVo;

import java.util.List;

public interface ProvisionalPlanService extends IService<ProvisionalPlan> {
    int deleteProvisionalPlanById(Integer planYearId);

    int updateProvisionalPlanById(ProvisionalPlan provisionalPlan);

    String importProvisionalPlan(List<ProvisionalPlan> provisionalPlans, boolean updateSupport, LoginUser loginUser);

    List<ProvisionalPlan> selectProvisionalPlanExport(ProvisionalPlanVo provisionalPlanVo);
}
