package com.ozs.pm.doman;

import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 流程图对象 pm_flow_chart
 *
 * @author ruoyi
 * @date 2023-01-25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("流程图对象")
public class PmFlowChart extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long flowChartId;

    /** 模块名称 */
    @Excel(name = "模块名称")
    private String moduleName;

    /** 部门角色 */
    @Excel(name = "部门角色")
    private String deptRole;

    /** 提示文案 */
    @Excel(name = "提示文案")
    private String promptWords;


}
