package com.ozs.pm.mapper;

import com.ozs.pm.doman.PmDemandEngineering;

import java.util.List;


/**
 * 采购需求工程类Mapper接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
public interface PmDemandEngineeringMapper 
{
    /**
     * 查询采购需求工程类
     * 
     * @param demandEngineeringId 采购需求工程类主键
     * @return 采购需求工程类
     */
    public PmDemandEngineering selectPmDemandEngineeringByDemandEngineeringId(Long demandEngineeringId);

    /**
     * 查询采购需求工程类列表
     * 
     * @param pmDemandEngineering 采购需求工程类
     * @return 采购需求工程类集合
     */
    public List<PmDemandEngineering> selectPmDemandEngineeringList(PmDemandEngineering pmDemandEngineering);

    /**
     * 新增采购需求工程类
     * 
     * @param pmDemandEngineering 采购需求工程类
     * @return 结果
     */
    public int insertPmDemandEngineering(PmDemandEngineering pmDemandEngineering);

    /**
     * 修改采购需求工程类
     * 
     * @param pmDemandEngineering 采购需求工程类
     * @return 结果
     */
    public int updatePmDemandEngineering(PmDemandEngineering pmDemandEngineering);


}
