package com.ozs.pm.mapper;

import com.ozs.pm.doman.PmDemandMaterials;

import java.util.List;


/**
 * 采购需求物资类Mapper接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
public interface PmDemandMaterialsMapper 
{
    /**
     * 查询采购需求物资类
     * 
     * @param demandMaterialsId 采购需求物资类主键
     * @return 采购需求物资类
     */
    public PmDemandMaterials selectPmDemandMaterialsByDemandMaterialsId(Long demandMaterialsId);

    /**
     * 查询采购需求物资类列表
     * 
     * @param pmDemandMaterials 采购需求物资类
     * @return 采购需求物资类集合
     */
    public List<PmDemandMaterials> selectPmDemandMaterialsList(PmDemandMaterials pmDemandMaterials);

    /**
     * 新增采购需求物资类
     * 
     * @param pmDemandMaterials 采购需求物资类
     * @return 结果
     */
    public int insertPmDemandMaterials(PmDemandMaterials pmDemandMaterials);

    /**
     * 修改采购需求物资类
     * 
     * @param pmDemandMaterials 采购需求物资类
     * @return 结果
     */
    public int updatePmDemandMaterials(PmDemandMaterials pmDemandMaterials);


}
