package com.ozs.system.domain.vo.requestVo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Administrator
 * 采购标准
 */
@Data
public class SysProcurementStandardVo implements Serializable {
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(value = "采购标准ID")
    private Long procurementStandardId;
    
    @ApiModelProperty(value = "部门ID")
    private Long deptId;

    /** 类别(0装备类1服务类2物资类3工程类) */
    @ApiModelProperty(value = "类别")
    private Integer category;

    /** 状态(0不限1限额) */
    @ApiModelProperty(value = "状态")
    private Integer state;
    
    @ApiModelProperty(value = "最小值(万元)")
    private BigDecimal minimumValue;
    
    @ApiModelProperty(value = "最大值(万元)")
    private BigDecimal maximum;
    
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
